Skip to main content
GET
/
project
/
{project_id}
/
location
/
{location}
/
machine-image
List machine images in a location
curl --request GET \
  --url https://api.ubicloud.com/project/{project_id}/location/{location}/machine-image \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "items": [
    {
      "id": "m1n30gjk1d1e2jj34v9x0dq4rp",
      "name": "my-image",
      "location": "eu-central-h1",
      "arch": "x64",
      "created_at": "2023-11-07T05:31:56Z",
      "latest_version": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://ubicloud.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

location
string
required

The Ubicloud location/region

Example:

"eu-central-h1"

project_id
string
required

ID of the project

Pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
Example:

"pjkkmx0f2vke4h36nk9cm8v8q0"

Query Parameters

start_after
string

Pagination - Start after

page_size
integer
default:10

Pagination - Page size

order_column
string
default:id

Pagination - Order column

Response

A list of machine images

count
integer
required
items
object[]
required